CONTENTS OF THIS FILE
---------------------

* Introduction
* Requirements
* Installation
* Configuration
* Maintainers

INTRODUCTION
------------

This module is designed to associate group specific media  with a group when
using the [Group](https://www.drupal.org/project/group) module.

After installation and configuration of the module, there will be a new tab
on group page with the overview of all media items related to the group.
Depending on the configuration (read more in "Configuration" section) it is
possible to add relation to any media item in the system, or create the
media with relation from Group Operations.

Media item edit form will also contain the list of the groups it belongs to.

* For a full description of the module visit:
  https://www.drupal.org/project/groupmedia
  or
  https://www.drupal.org/docs/contributed-modules/group-media

* To submit bug reports and feature suggestions, or to track changes visit:
  https://www.drupal.org/project/issues/groupmedia?categories=All


REQUIREMENTS
------------

 - Group module (https://drupal.org/project/group), version greater than
   8.x-1.2.
 - Media entity module (https://www.drupal.org/project/media_entity) for
   8.x-1.x version only.
 - Media in core for 8.x-2.x releases.

INSTALLATION
------------

Install the Groupmedia module as you would normally install a contributed
Drupal module. Visit https://www.drupal.org/node/1897420 for further
information.

CONFIGURATION
-------------

1. First you need to create a group type. Read more about this in Group
   module documentation.
1. Go to `/admin/group/types`, find group type you want to extend with
   support of media relations.
1. Select "Set available content" in the dropdown button corresponding
   to your group type. You will end up on the plugin overview page with
   the list of all relations to the group possible.
1. Enable the plugins you need. Each Media Type has its own plugin.
1. At page `/admin/group/types/manage/<your_group_type>/permissions`
   you can set the permissions for each media relation plugin.

### Documentation on-line

Read more about groupmedia module usage
[here](https://www.drupal.org/docs/contributed-modules/group-media)
and on [official module page](https://drupal.org/project/groupmedia)

MAINTAINERS
-----------

* Artem Dmitriiev - https://www.drupal.org/u/admitriiev

Supporting organization:

* 1xINTERNET GmbH - https://www.drupal.org/1xinternet
